Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class ListSelectionEvent

    java.lang.Object
      java.util.EventObject
          javax.swing.event.ListSelectionEvent

All Implemented Interfaces:
  Serializable

    public class ListSelectionEvent

extends EventObject

An event that characterizes a change in the current selection. The change is limited to a row interval. ListSelectionListeners will generally query the source of the event for the new selected status of each potentially changed row.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  `ListSelectionModel`

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ListSelectionEvent(Object source, int firstIndex, int lastIndex, boolean isAdjusting)` Represents a change in selection status between `firstIndex` and `lastIndex` inclusive (firstIndex is less than or equal to `lastIndex`).

Method Summary
`int` | `getFirstIndex()` Returns the index of the first row whose selection may have changed.
`int` | `getLastIndex()` Returns the index of the last row whose selection may have changed.
`boolean` | `getValueIsAdjusting()` Returns true if this is one of multiple change events.
`String` | `toString()` Returns a string that displays and identifies this object's properties.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListSelectionEvent

    public ListSelectionEvent(Object source,
                              int firstIndex,
                              int lastIndex,
                              boolean isAdjusting)

  Represents a change in selection status between `firstIndex` and `lastIndex` inclusive (firstIndex is less than or equal to `lastIndex`). At least one of the rows within the range will have changed, a good `ListSelectionModel` implementation will keep the range as small as possible.

  Parameters:
    `firstIndex` - the first index that changed
    `lastIndex` - the last index that changed, lastIndex >= firstIndex
    `isAdjusting` - an indication that this is one of rapid a series of events

Method Detail

### getFirstIndex

    public int getFirstIndex()

  Returns the index of the first row whose selection may have changed.

  Returns:
    the first row whose selection value may have changed, where zero is the first row

### getLastIndex

    public int getLastIndex()

  Returns the index of the last row whose selection may have changed.

  Returns:
    the last row whose selection value may have changed, where zero is the first row

### getValueIsAdjusting

    public boolean getValueIsAdjusting()

  Returns true if this is one of multiple change events.

  Returns:
    true if this is one of a rapid series of events

### toString

    public String toString()

  Returns a string that displays and identifies this object's properties.

  Overrides:
    `toString` in class `EventObject`
  Returns:
    a String representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.